<!--
  Generated template for the CurrentRidesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Offered Rides</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="grey-background">

  <div *ngIf="driver == false">
    <div class="text-center pad-sides pad-top">
      <h2 ion-text-center class="text-theme">You're not approved to drive yet.</h2>
      <p class="pad-bottom">Please take photos of your valid driver's license, insurance card, registration and vehicle and then click the "Apply to Drive" button below. It can take up to 24 hours to be approved to drive.</p>
      <button (click)="driverApply()" ion-button block class="bg-theme text-white btn rounded">
        Apply To Drive 
      </button>
    </div>
  </div>

<div class="remove-pad">
  <ion-list inset *ngFor="let r of rides; let i = index" class="text-center rides">
    <ion-card>
      <ion-card-content>
        <ion-grid>
          <ion-row (click)="editRide(i)">

            <ion-col col-4>
              <h4><strong> {{r.date}} </strong></h4>
            </ion-col>

            <ion-col col-4>
              <span *ngIf="r.ride_type == 'Airport'" class="badge badge-success"> Airport Ride </span> 
            </ion-col>
               
            <ion-col col-4>
              <h2 class="text-theme text-align-right"> <strong>${{r.price}}</strong></h2>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-12>
              <div class="ride-detail">
                <p><span class="icon-location bg-theme"></span><strong>{{r.start }}</strong> {{r.city_from}}</p>
                <p><span class="icon-location bg-stop"></span><strong>{{r.end}}</strong> {{r.city_to}} </p>
                <span *ngIf="r.ride_stop">
                  <p *ngFor="let stop of r.ride_stop"> Stop: {{stop.city_name}} </p>
                </span> 
              </div>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-4>
              <small>Available Seats </small>
              <p>{{r.seats_available}}</p> 
            </ion-col>
            <ion-col col-4>
              <small>Passengers</small>
              <p>{{r.passengerCount}}</p> 

              <!-- We need to add a View Passengers feature -->
           </ion-col>
            <ion-col col-2>
              <ion-icon name="create" (click)="editRide(i)" class="icon-big-grey"></ion-icon> 
            </ion-col>
            <ion-col col-2>
              <ion-icon name="trash" (click)="deleteRide(r.id)" class="icon-big-red"></ion-icon>
            </ion-col>
          </ion-row>
        </ion-grid> 
      </ion-card-content>
    </ion-card>
  </ion-list>
</div>

  <div *ngIf="rides.length == 0 && driver == true" class="text-center pad-all-10"> 
      <p>You have no rides.</p> 
  </div>

	<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
	</ion-infinite-scroll>

</ion-content>
